Мазмұнға өту

T2V Turbo - Video Crafter

Интеграциялау

Модель идентификаторы t2v-turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/t2v-turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: ≈0,024 $ 24 API кредиті · ≈ 2,51 ₽ Осы бетте іске қосу

API кілтін алу
Open model Мәтіннен бейнеге Жылдам #turbo

Промпттан жылдам text-to-video: 16-дан 32 кадрға дейін, экспорт fps мәнін реттеуге болады

Open model · Бейне

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті

Кескін генерациясына негіз болатын нұсқау.

әдепкі 16

Генерацияланатын жалпы кадр саны.

Қосымша num_inference_steps · guidance_scale · export_fps · seed · enable_safety_checker
әдепкі 4

Сэмплинг қадамдарының саны.

әдепкі 7.5

Нұсқау масштабының мәні.

әдепкі 8

Экспортталатын бейненің кадр жиілігі (FPS).

Кездейсоқ сандарды генерациялауға арналған seed мәні.

POST /run/t2v-turbo?wait=20 бағасы → 0,024 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/t2v-turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

T2V Turbo - Video Crafter туралы

`prompt` арқылы қысқа клипті аз қадамды сэмплермен генерациялайды; `num_inference_steps` әдепкіде 4 (ең көбі 30). `num_frames` 16–32, ал `export_fps` 1–24 аралығында. `guidance_scale` 0.1–30, `seed` 0–203279 аралығында.

Параметрлер

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
promptміндетті
Түріstring
Кескін генерациясына негіз болатын нұсқау.
seedміндетті емес
Түріinteger | null
0 – 203 279
Кездейсоқ сандарды генерациялауға арналған seed мәні.
num_inference_stepsміндетті емес
Түріinteger
Әдепкі4
1 – 30
Сэмплинг қадамдарының саны.
guidance_scaleміндетті емес
Түріnumber
Әдепкі7.5
0,1 – 30
Нұсқау масштабының мәні.
num_framesміндетті емес
Түріinteger
Әдепкі16
16 – 32
Генерацияланатын жалпы кадр саны.
export_fpsміндетті емес
Түріinteger
Әдепкі8
1 – 24
Экспортталатын бейненің кадр жиілігі (FPS).
enable_safety_checkerміндетті емес
Түріboolean
Әдепкіtrue
Шақырушы авторизацияланған болса, false мәнін орнату арқылы тексеруді жеңілдетуге болады.
міндетті

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "t2v-turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 24,
    "usd": "0.024",
    "charged": 24,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
video
object {url, content_type, file_name, file_size}Генерацияланған бейнеге сілтейтін URL.

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/t2v-turbo.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt